{% extends 'base.html' %}

{% block title %}Crawl {{ spider.name }}{% endblock %}

{% block content %}
    <div class="content-base">
        <h4>Crawl {{ spider.name }}</h4>

        <form method="post" action="{{ url_for('spider_crawl', name=spider.name) }}">
            {{ form.csrf_token }}
            <div>
                {% for line in spider.env_vars.split('\n') %}
                    <span class="monowidth">{{ line }}</span>
                {% endfor %}
            </div>
            {{ md.input(form.job_name) }}
            {{ md.input(form.env_vars, 'monowidth') }}
            {{ md.input(form.command) }}
            {{ md.checkbox('Run regularly', 'toggle-input-checkbox', 'schedule') }}
            {{ md.input(form.schedule, 'schedule hidden') }}
            {{ md.submit_button('Submit') }}
            {{ md.non_field_err(form) }}
        </form>
    </div>
{% endblock %}

{% block scripts %}
    <script>
        const defaultJobName = '{{ default_job_name }}';
        const defaultCronJobName = '{{ spider.name }}-regular';

        $toggleInputCheckbox.on('change', function () {
            console.log('kek');
            if ($(this).find('input[type=checkbox]').is(':checked')) {
                $('#job_name').val(defaultCronJobName);
            } else {
                $('#job_name').val(defaultJobName);
            }
        });
    </script>
{% endblock %}
